<?php

if (!defined('BOOTSTRAP')) { die('Access denied'); }

function fn_rbs_payment_install()
{
    fn_rbs_payment_uninstall();

    $_data = array(
        'processor' => 'RBSPayment',
        'processor_script' => 'rbs.php',
        'processor_template' => 'views/orders/components/payments/cc_outside.tpl',
        'admin_template' => 'rbs.tpl',
        'callback' => 'Y',
        'type' => 'P',
        'addon' => 'rbs_payment'
    );

    db_query("INSERT INTO ?:payment_processors ?e", $_data);
}

function fn_rbs_payment_uninstall()
{
    db_query("DELETE FROM ?:payment_processors WHERE processor_script = ?s", "rbs.php");
}

function fn_rbs_payment_normalize_phone($phone)
{
    $phone_normalize = '';

    if (!empty($phone)) {
        if (strpos('+', $phone) === false && $phone[0] == '8') {
            $phone[0] = '7';
        }

        $phone_normalize = str_replace(array(' ', '(', ')', '-'), '', $phone);
    }

    return $phone_normalize;
}

